DROP FUNCTION IF EXISTS message_table_name (INTEGER);
CREATE FUNCTION message_table_name( local_message_time INTEGER )
RETURNS CHAR(30) AS $$
DECLARE
utc_timestamp timestamp;
BEGIN
	utc_timestamp := (select TIMESTAMP 'epoch' + local_message_time * INTERVAL '1 second');
	RETURN 'messages_utc_' || to_char(utc_timestamp, 'YYYY_MM_DD_HH24');
END;
$$
LANGUAGE plpgsql;

UPDATE service SET version = 35;
