--ADD NEW COLUMN TO TABLE settings
ALTER TABLE settings ADD use_ldap BOOLEAN NOT NULL DEFAULT FALSE;

--CREATE LDAP MAPPINGS TABLES
CREATE SEQUENCE ldap_groups_id_seq;
CREATE TABLE ldap_groups
 (
    id INT NOT NULL DEFAULT nextval('ldap_groups_id_seq'),
    name TEXT,
    default_filter_id INT,
    PRIMARY KEY (id),
    UNIQUE(name)
 );

CREATE SEQUENCE ldap_groups_mapping_id_seq;
CREATE TABLE ldap_groups_mapping
 (
    id INT NOT NULL DEFAULT nextval('ldap_groups_mapping_id_seq'),
    ldap_group_id INT NOT NULL REFERENCES ldap_groups (id) ON DELETE CASCADE,
    group_id INT NOT NULL REFERENCES groups (id) ON DELETE CASCADE,
    UNIQUE(ldap_group_id, group_id),
    PRIMARY KEY (id)
 );

--UPDATE db VERSION
UPDATE service SET version = 12;
